<?php

namespace App\Console\Commands\Nct;

use App\Repositories\TrackRepository;
use Illuminate\Console\Command;

class NctCrawlerUpdateTrackLinkCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'nct:update-track-link';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Cập nhật link bài hát từ NCT';

    protected $trackRepository;

    /**
     * Create a new command instance.
     *
     * NctCrawlerTrackCommand constructor.
     * @param TrackRepository $trackRepository
     */
    public function __construct(TrackRepository $trackRepository)
    {
        parent::__construct();
        $this->trackRepository = $trackRepository;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //
    }
}
